﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Linq;
using System.ServiceProcess;
using System.Text;

namespace WS_Sap_Syn
{
    public partial class SapSyn : ServiceBase
    {
        System.Timers.Timer timer1;  //计时器
        System.Timers.Timer timer2;  //计时器
        System.Timers.Timer timer3;  //计时器
        System.Timers.Timer timer4;  //计时器
        public SapSyn()
        {
            InitializeComponent();
        }

        protected override void OnStart(string[] args)
        {
            
            timer1 = new System.Timers.Timer();
            timer1.Interval = 8000;  //设置计时器事件间隔执行时间
            timer1.Elapsed += new System.Timers.ElapsedEventHandler(TMStart1_Elapsed);
            timer1.Enabled = true;

            timer2 = new System.Timers.Timer();
            timer2.Interval = 8000;  //设置计时器事件间隔执行时间
            timer2.Elapsed += new System.Timers.ElapsedEventHandler(TMStart2_Elapsed);
            timer2.Enabled = true;

            timer3 = new System.Timers.Timer();
            timer3.Interval = 8000;  //设置计时器事件间隔执行时间
            timer3.Elapsed += new System.Timers.ElapsedEventHandler(TMStart3_Elapsed);
            timer3.Enabled = true;

            timer4 = new System.Timers.Timer();
            timer4.Interval = 8000;  //设置计时器事件间隔执行时间
            timer4.Elapsed += new System.Timers.ElapsedEventHandler(TMStart4_Elapsed);
            timer4.Enabled = true;

        }
 
        protected override void OnStop()  //服务停止执行
        {
            using (System.IO.StreamWriter sw = new System.IO.StreamWriter("C:\\log.txt", true))
            {
                sw.WriteLine(DateTime.Now.ToString("yyyy-MM-dd HH:mm:ss ") + "Stop.");
            }
            this.timer1.Enabled = false;
            this.timer2.Enabled = false;
            this.timer3.Enabled = false;            
            this.timer4.Enabled = false;
        }


        protected override void OnPause()
        {
            //服务暂停执行代码
            base.OnPause();
        }
        protected override void OnContinue()
        {
            //服务恢复执行代码
            base.OnContinue();
        }
        protected override void OnShutdown()
        {
            //系统即将关闭执行代码
            base.OnShutdown();
        }

 
        private void TMStart1_Elapsed(object sender, System.Timers.ElapsedEventArgs e)
        { 
            //执行SQL语句或其他操作
            using (System.IO.StreamWriter sw = new System.IO.StreamWriter("C:\\" + 1 + "log.txt", true))
            {
                sw.WriteLine(DateTime.Now.ToString("yyyy-MM-dd HH:mm:ss ") + "Start.");
            }
        }
        private void TMStart2_Elapsed(object sender, System.Timers.ElapsedEventArgs e)
        { 
            //执行SQL语句或其他操作
            using (System.IO.StreamWriter sw = new System.IO.StreamWriter("C:\\" + 2 + "log.txt", true))
            {
                sw.WriteLine(DateTime.Now.ToString("yyyy-MM-dd HH:mm:ss ") + "Start.");
            }
        }
        private void TMStart3_Elapsed(object sender, System.Timers.ElapsedEventArgs e)
        { 
            //执行SQL语句或其他操作
            using (System.IO.StreamWriter sw = new System.IO.StreamWriter("C:\\" + 3 + "log.txt", true))
            {
                sw.WriteLine(DateTime.Now.ToString("yyyy-MM-dd HH:mm:ss ") + "Start.");
            }
        }

        private void TMStart4_Elapsed(object sender, System.Timers.ElapsedEventArgs e)
        { 
            //执行SQL语句或其他操作
            using (System.IO.StreamWriter sw = new System.IO.StreamWriter("C:\\" + 4 + "log.txt", true))
            {
                sw.WriteLine(DateTime.Now.ToString("yyyy-MM-dd HH:mm:ss ") + "Start.");
            }
        }



    }
}
